package global

import "fmt"

type Version struct {
	Major int32
	Minor int32
	Patch int32
	Tag   string
}

func (v *Version) String() string {
	vs := fmt.Sprintf("%d.%d.%d", v.Major, v.Minor, v.Patch)
	if v.Tag == "" {
		vs = vs + "-" + v.Tag
	}
	return vs
}
