CREATE TABLE IF NOT EXISTS `users`
(
    `id`       bigint PRIMARY KEY,
    `name`     varchar(50) UNIQUE  NOT NULL,
    `nickname` varchar(50)         NOT NULL,
    `email`    varchar(100) UNIQUE NOT NULL,
    `password` varchar(255)        NOT NULL,
    `status`   int                 NOT NULL,
    `avatar`   varchar(255)        NOT NULL,
    `roles`    varchar(255)        NOT NULL
);

CREATE TABLE IF NOT EXISTS `settings`
(
    `id`    bigint PRIMARY KEY,
    `name`  varchar(100) UNIQUE NOT NULL,
    `value` text                NOT NULL
);

CREATE TABLE IF NOT EXISTS `files`
(
    `id`           bigint PRIMARY KEY,
    `display_name` varchar(255) NOT NULL,
    `source_name`  text         NOT NULL
);
