package model

import (
	"drive-linked/pkg/dao"
	"fmt"
)

const (
	LoginMethodName  = "name"
	LoginMethodEmail = "email"
)

type Login struct {
	ID       int64
	Name     string
	Password string
}

func (u *Login) GetLoginInfo(account, method string) error {
	exec := fmt.Sprintf(`SELECT id, name, password FROM users WHERE %s=?`, method)

	err := dao.DB.Get(u, exec, account)
	if err != nil {
		return err
	}
	return nil
}
