package utils

import (
	"crypto/rand"
	"encoding/hex"
	"github.com/kataras/golog"
)

// NewKey 生成Key
func NewKey() string {
	length := 48
	// HS256的key，其实就是个随机字符串生成器
	key := make([]byte, length/2)
	_, err := rand.Read(key)
	if err != nil {
		golog.Fatal(err)
	}

	return hex.EncodeToString(key)
}
